# $Revision: 1.54 $, $Date: 2011/11/02 21:15:22 $
%define		status		stable
%define		pearname HTML_QuickForm
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - methods for creating, validating, processing HTML forms
Summary(pl.UTF-8):	%{pearname} - metody do tworzenia, kontroli i przetwarzania formularzy HTML
Name:		php-pear-%{pearname}
Version:	3.2.13
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	88ed99cc2d6a1fd3b066b3941c7d0a8f
URL:		http://pear.php.net/package/HTML_QuickForm/
BuildRequires:	php-pear-PEAR >= 1:1.5.4
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-common >= 3:4.2
Requires:	php-pear >= 4:1.0-9.1
Requires:	php-pear-HTML_Common >= 1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PEAR::HTML_QuickForm package provides methods for creating,
validating, processing HTML forms. Features:
- Creates xHTML compliant form elements of various type.
- Allows you to choose an unlimited number of html attributes.
- Allows you to create your own custom elements using your own
  classes.
- Process form values (you should override the process method).
- Creates javascript validation code using regular expression.
- Server-side validation too.
- Allows you to create your own validation rules.
- Manages file uploads.
- Allows you to freeze some elements in your form.
- Allows you to customize the look of your form in many ways.
- Template-like form elements customization...

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Klasa HTML_QuickForm zawiera metody to tworzenia, kontroli poprawności
i przetwarzania formularzy HTML. Cechy:
- tworzy elementy formularzy różnego typu zgodnie z xHTML
- pozwala na wybór nieograniczonej liczby atrybutów HTML
- pozwala tworzyć własne elementy przy użyciu własnych klas
- przetwarza wartości z formularzy (należy podmienić metodę process)
- tworzy kod sprawdzający w JavaScripcie przy użyciu wyrażeń
  regularnych
- kontroluje poprawność wprowadzonych danych także po stronie serwera
- pozwala na tworzenie własnych reguł kontrolujących poprawność
- obsługuje upload plików
- pozwala na "zamrożenie" niektórych elementów formularza
- pozwala na zmianę wyglądu formularza na wiele sposobów
- modyfikacja elementów formularzy poprzez wzorce.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup
mv docs/HTML_QuickForm/docs examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_pear_dir},%{_examplesdir}/%{name}-%{version}}
%pear_package_install
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/HTML/*.php
%{php_pear_dir}/HTML/QuickForm/*.php
%dir %{php_pear_dir}/HTML/QuickForm/Renderer
%{php_pear_dir}/HTML/QuickForm/Renderer/*.php
%dir %{php_pear_dir}/HTML/QuickForm/Rule
%{php_pear_dir}/HTML/QuickForm/Rule/*.php
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-HTML_QuickForm.spec,v $
Revision 1.54  2011/11/02 21:15:22  glen
- up to 3.2.13

Revision 1.53  2011/01/07 12:39:10  glen
- fix for year 2011 bug

Revision 1.52  2010/11/16 08:19:12  glen
- updated to: 3.2.12

Revision 1.51  2010/08/21 19:07:55  glen
- updated deps with pearize.sh
- release 2

Revision 1.50  2010/08/20 13:16:01  glen
- updated to: 3.2.11

Revision 1.49  2008/06/25 07:47:18  arekm
- up to 3.2.10

Revision 1.48  2008-01-31 12:16:07  glen
- rel 2

Revision 1.47  2007-09-01 18:37:56  adamg
- updated to 3.2.9

Revision 1.46  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.45  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.44  2006/10/25 15:28:20  glen
- 3.2.7

Revision 1.43  2006/10/25 15:27:20  glen
- moved examples to examplesdir from docs; rel 2

Revision 1.42  2006/06/26 08:02:37  adamg
- updated to 3.2.6

Revision 1.41  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.40  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.39  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.38  2005/10/30 22:56:53  glen
- rel 3

Revision 1.37  2005/10/30 22:35:01  glen
- resolve duplicate HTML/QuickForm

Revision 1.36  2005/10/05 18:31:31  glen
- rel 2

Revision 1.35  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.34  2005/09/22 22:00:34  glen
- new pear packaging

Revision 1.33  2005/08/06 16:17:22  adamg
- updated to 3.2.5

Revision 1.32  2004/12/03 22:12:56  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.31  2004/10/31 22:10:46  paladine
- spaces->tabs
- formatting

Revision 1.30  2004/10/21 12:55:59  adamg
- updated to 3.2.4pl1

Revision 1.29  2004/10/18 21:37:56  adamg
- updated to 3.2.4

Revision 1.28  2004/07/08 19:17:10  adamg
- updated to 3.2.3

Revision 1.27  2004/05/30 13:13:49  adamg
- fixed english information about status of the package

Revision 1.26  2004/05/13 17:43:09  ankry
- spaces -> tabs, other cosmetics

Revision 1.25  2004/03/22 11:40:04  adamg
- updated to 3.2.2

Revision 1.24  2004/01/04 12:53:17  adamg
- updated to 3.2.1

Revision 1.23  2003/11/05 21:19:43  adamg
- updated to 3.2

Revision 1.22  2003/10/07 20:54:46  adamg
- do not use macros in URL

Revision 1.21  2003/09/10 11:57:36  blues
- Requires php-pear-HTML_Common >= 1.2.1

Revision 1.20  2003/09/10 08:09:59  adamg
- updated to 3.1.1

Revision 1.19  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.18  2003/07/19 15:56:16  adamg
- updated to 3.1
- added missing dir
- cosmetics

Revision 1.17  2003/06/04 19:25:34  adamg
- updated to 3.0

Revision 1.16  2003/05/28 10:50:28  adamg
- massive manual attack: pear packages update

Revision 1.15  2003/05/28 08:58:37  adamg
- massive attack: added source0-md5

Revision 1.14  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/23 14:31:04  blues
- 2.9 - stable bugfix release, STBR to Ra updates general

Revision 1.12  2003/02/13 17:11:02  blues
- 2.7 - stable release - STBR to Ra updates general

Revision 1.11  2003/02/01 16:25:34  blues
- 2.6 - stable release, STBR to Ra updates

Revision 1.10  2003/01/13 02:26:02  kloczek
- removed outdated cosmetics patch.

Revision 1.9  2003/01/07 23:25:04  blues
- 2.5 - status info added, required for php-4.3.0

Revision 1.8  2002/10/14 23:41:42  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.7  2002/09/07 06:34:28  blues
- fix in macros

Revision 1.6  2002/07/12 15:28:25  blues
- release 3
- rebuild with new rpm
- cosmetic patch - dependencies are generated correctly now

Revision 1.5  2002/07/04 00:53:42  kloczek
- release 2.

Revision 1.4  2002/07/02 10:23:25  blues
- req. php-pear

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/25 13:40:35  blues
- initial (this CVS is annoing now...)
